### Enumeration

# GLib SpawnError

#### Declaration

    error-domain GLib.SpawnError

#### Description [src]

Error codes returned by spawning processes.

#### Members

`G_SPAWN_ERROR_FORK`

  Fork failed due to lack of memory.

  - Value: `0`
  - Available since: 2.0
`G_SPAWN_ERROR_READ`

  Read or select on pipes failed.

  - Value: `1`
  - Available since: 2.0
`G_SPAWN_ERROR_CHDIR`

  Changing to working directory failed.

  - Value: `2`
  - Available since: 2.0
`G_SPAWN_ERROR_ACCES`

  Execv() returned `EACCES`.

  - Value: `3`
  - Available since: 2.0
`G_SPAWN_ERROR_PERM`

  Execv() returned `EPERM`.

  - Value: `4`
  - Available since: 2.0
`G_SPAWN_ERROR_TOO_BIG`

  Execv() returned `E2BIG`.

  - Value: `5`
  - Available since: 2.0
`G_SPAWN_ERROR_2BIG`

  Deprecated alias for `G_SPAWN_ERROR_TOO_BIG` (deprecated since GLib 2.32).

  - Value: `5`
  - Available since: 2.0
`G_SPAWN_ERROR_NOEXEC`

  Execv() returned `ENOEXEC`.

  - Value: `6`
  - Available since: 2.0
`G_SPAWN_ERROR_NAMETOOLONG`

  Execv() returned `ENAMETOOLONG`.

  - Value: `7`
  - Available since: 2.0
`G_SPAWN_ERROR_NOENT`

  Execv() returned `ENOENT`.

  - Value: `8`
  - Available since: 2.0
`G_SPAWN_ERROR_NOMEM`

  Execv() returned `ENOMEM`.

  - Value: `9`
  - Available since: 2.0
`G_SPAWN_ERROR_NOTDIR`

  Execv() returned `ENOTDIR`.

  - Value: `10`
  - Available since: 2.0
`G_SPAWN_ERROR_LOOP`

  Execv() returned `ELOOP`.

  - Value: `11`
  - Available since: 2.0
`G_SPAWN_ERROR_TXTBUSY`

  Execv() returned `ETXTBUSY`.

  - Value: `12`
  - Available since: 2.0
`G_SPAWN_ERROR_IO`

  Execv() returned `EIO`.

  - Value: `13`
  - Available since: 2.0
`G_SPAWN_ERROR_NFILE`

  Execv() returned `ENFILE`.

  - Value: `14`
  - Available since: 2.0
`G_SPAWN_ERROR_MFILE`

  Execv() returned `EMFILE`.

  - Value: `15`
  - Available since: 2.0
`G_SPAWN_ERROR_INVAL`

  Execv() returned `EINVAL`.

  - Value: `16`
  - Available since: 2.0
`G_SPAWN_ERROR_ISDIR`

  Execv() returned `EISDIR`.

  - Value: `17`
  - Available since: 2.0
`G_SPAWN_ERROR_LIBBAD`

  Execv() returned `ELIBBAD`.

  - Value: `18`
  - Available since: 2.0
`G_SPAWN_ERROR_FAILED`

  Some other fatal failure, `error->message` should explain.

  - Value: `19`
  - Available since: 2.0